Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229912 - enable accessible login by default
Summary: enable accessible login by default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-24 05:54 UTC by David Zeuthen
Modified: 2013-03-06 03:49 UTC (History)
1 user (show)

Fixed In Version: 2.18.0-4.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 18:56:37 UTC


Attachments (Terms of Use)
fdi file (deleted)
2007-02-24 05:54 UTC, David Zeuthen
no flags Details

Description David Zeuthen 2007-02-24 05:54:45 UTC
Description of problem:

We should enable accessible login by default; see

 http://www.gnome.org/learn/access-guide/latest/sysadmin-27.html

for details. Apart from the themed greeter not having particular good a11y
coverage, it somewhat works. And the themed greeter should be fixable. This involves

 1. Enabling accessible login - just tweak a config option
 2. Making sure the unprivileged 'gdm' user can use the sound card
 3. Making gdm pull in the appropriate RPM's - this includes
    - orca
    - gnome-speech
    - festival
    - gok
    - ... and possibly others

We should also make sure that the AT's started in gdm are started for the login
session. I think this can be easily achieved by making gdm export some
environment variables we can pick up in gnome-session... will look into this.

For 2., find attached an fdi file that achieves this. You'll need to pull in the
latest and greatest hal which is hal-0.5.9-0.git20070218.fc7. The file should be
named

 /usr/share/hal/fdi/policy/20thirdparty/90-grant-audio-devices-to-gdm.fdi

Comment 1 David Zeuthen 2007-02-24 05:54:46 UTC
Created attachment 148739 [details]
fdi file

Comment 2 David Zeuthen 2007-02-24 09:03:30 UTC
See

 http://bugzilla.gnome.org/show_bug.cgi?id=411501
 http://bugzilla.gnome.org/show_bug.cgi?id=411506

for proposed patches to start the AT's in the login session.

Comment 3 David Zeuthen 2007-02-27 10:17:06 UTC
> Apart from the themed greeter not having particular good a11y
> coverage, it somewhat works. And the themed greeter should be fixable.

See 

 http://bugzilla.gnome.org/show_bug.cgi?id=412576

for a patch that actually improves the accessibility of the themed greeter a lot.

Comment 4 Matthias Clasen 2007-03-24 05:51:28 UTC
David, this is done, right ?

Comment 5 David Zeuthen 2007-03-24 22:23:51 UTC
Need support in gnome-session still. Let's keep it open till that is done.

Comment 6 David Zeuthen 2007-04-12 18:56:37 UTC
I've put this into gnome-session - it's a bit brutal right now; we set the gconf
key for whether a11y is enabled if $GDM_ATS is set - otherwise broken things
like orca complains that a11y is not enabled for the session when it obviously
is. We also hardcode what AT's to starting (depending on what $GDM_ATS says).

FWIW, I'm also working on getting these patches upstream - with the preferred
apps for a11y going into GNOME 2.20, this can be done in a much nicer way.

But right now it solves the main goal - that the live CD is accessible!

For Fedora 8 we should probably switch to the plain greeter - the a11y support
there is much better. We should just patch it so it can look nicer.



Note You need to log in before you can comment on or make changes to this bug.